Status: In Progress Start date: 25 Nov 2019

Priority: Low Due date:  

Assignee:  % Done: 10%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 1.05 hour

Description

I have just tried the French students' example as argument to GroebnerFanIdeals, and it computed all 167 GBases quite quickly.

I had supposed it would get stuck on the "lex" basis.

Why didn't it?  What am I not understanding?

Related issues:

Related to CoCoA-5 - Design #984: GroebnerFanIdeals: order matrices sometimes... New 26 Nov 2016

History

#1 - 25 Nov 2019 17:46 - John Abbott

Just for completeness here is the input:

I := ideal(x^2*y*z + x*y^3*z - 1, x^4*y*z - 1 , x*y^4 + x*y*z-1 );

GF := GroebnerFanIdeals(I); --> takes less than 5 sec.

#2 - 26 Nov 2019 15:10 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

The time taken depends on the current ring ordering!

If I create the ideal in the ring QQ[x,y,z] with DegRevLex, then the GFan computation takes about 2.2s.

If I create the ideal in the ring QQ[x,y,z] with Lex, then the GFan computation takes ages...

This cannot be right!?!

#3 - 26 Nov 2019 15:45 - Anna Maria Bigatti

Just for curiosity, this lex GBasis can be computed instantly using GBasisByHomog(I).

Then, together with Robbiano, we also checked which ordering in GFan gives the same LT as lex (which is [y,  x,  z^18]).

This is the ordering, and indeed using it the GBasis is very fast:

/**/ P := NewPolyRing(QQ, "x,y,z", mat([[16,18,1], [257,288,0], [0,0,-1]]), 0);

/**/ use P;

/**/ I_P := ideal(x^2*y*z + x*y^3*z - 1, x^4*y*z - 1, x*y^4 + x*y*z-1);

/**/ GBasis(I_P);
#4 - 27 Nov 2019 15:53 - John Abbott

I find it quite strange that the term ordering used to obtain the same LT actually looks to be far away from lex:

Lex is

mat([[1, 0, 0],

     [0, 1, 0],

     [0, 0, 1]])

 

The ordering found is roughly:

mat([[1-eps, 1,  0],

     [1,     0, -1],

     [0,     0, -1]])

#5 - 11 Mar 2024 11:15 - John Abbott

- Related to Design #984: GroebnerFanIdeals: order matrices sometimes have "large" entries added
